summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorDan Armak <danarmak@gentoo.org>2003-06-10 22:06:18 +0000
committerDan Armak <danarmak@gentoo.org>2003-06-10 22:06:18 +0000
commit60265693825d2d49a46bf29060bbed45407dd09f (patch)
treef5178f808daeb6409c6dff11f7f9303d558c9408 /eclass/cvs.eclass
parentDEPEND on sed >= 4 (diff)
downloadhistorical-60265693825d2d49a46bf29060bbed45407dd09f.tar.gz
historical-60265693825d2d49a46bf29060bbed45407dd09f.tar.bz2
historical-60265693825d2d49a46bf29060bbed45407dd09f.zip
die if a call to cvs fails. close bug #20871.
Diffstat (limited to 'eclass/cvs.eclass')
-rw-r--r--eclass/cvs.eclass10
1 files changed, 5 insertions, 5 deletions
diff --git a/eclass/cvs.eclass b/eclass/cvs.eclass
index 5742df31679d..5980236d173f 100644
--- a/eclass/cvs.eclass
+++ b/eclass/cvs.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2003 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/cvs.eclass,v 1.40 2003/04/27 19:35:00 danarmak Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/cvs.eclass,v 1.41 2003/06/10 22:06:18 danarmak Exp $
#
# Author Dan Armak <danarmak@gentoo.org>
#
@@ -184,13 +184,13 @@ cvs_fetch() {
cd "${ECVS_TOP_DIR}"
if [ "${ECVS_AUTH}" == "pserver" ]; then
einfo "Running $cmdlogin"
- eval $cmdlogin
+ eval $cmdlogin || die "cvs login command failed"
if [ "${mode}" == "update" ]; then
einfo "Running $cmdupdate"
- eval $cmdupdate
+ eval $cmdupdate || die "cvs update command failed"
elif [ "${mode}" == "checkout" ]; then
- einfo "Running $cmdcheckout"
- eval $cmdcheckout
+ einfo "Running $cmdcheckout"
+ eval $cmdcheckout|| die "cvs checkout command failed"
fi
# elif [ "${ECVS_AUTH}" == "ext" ]; then
# # for ext there's also a possible ssh prompt, code not yet written